use super::{Color, Rgb, RgbImage};
use std::io::Write;

pub fn write_color(out: &mut impl Write, pixel_color: &Color) {
    write!(
        out,
        "{} {} {}\n",
        (255.999 * pixel_color.x()) as u32,
        (255.999 * pixel_color.y()) as u32,
        (255.999 * pixel_color.z()) as u32
    )
    .unwrap();
}

pub fn put_color(img: &mut RgbImage, pixel_color: &Color, x: u32, y: u32) {
    img.put_pixel(x, y, Rgb(
        [(255.999 * pixel_color.x()) as u8,
        (255.999 * pixel_color.y()) as u8,
        (255.999 * pixel_color.z()) as u8]));
}
